Loading...
Searching...
No Matches
characteristic_basic< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::characteristic_basic< T, M >

Definition at line 194 of file characteristic.h.

Inheritance diagram for characteristic_basic< T, M >:

## Public Types

typedef characteristic_rep< T, M > | rep
typedef smart_pointer< rep > | base
Public Types inherited from smart_pointer< T >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| characteristic_basic (const field_basic< T, M > &dh)
const field_basic< T, M > & | get_displacement () const
const characteristic_on_quadrature< T, M > & | get_pre_computed (const space_basic< T, M > &Xh, const field_basic< T, M > &dh, const piola_on_pointset< T > &pops) const
Public Member Functions inherited from smart_pointer< T >
| smart_pointer (T *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< T > &x)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, details::constructor_copy< T > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
T * | pointer ()
const T & | data () const
T & | data ()
const T * | operator-> () const
T * | operator-> ()
const T & | operator* () const
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Member Typedef Documentation

## rep

template<class T , class M = rheo_default_memory_model>

typedef characteristic_rep<T,M> rep

Definition at line 196 of file characteristic.h.

## base

template<class T , class M = rheo_default_memory_model>

typedef smart_pointer<rep> base

Definition at line 197 of file characteristic.h.

## Constructor & Destructor Documentation

## characteristic_basic()

template<class T , class M >

characteristic_basic | ( | const field_basic< T, M > & | dh | ) |

Definition at line 223 of file characteristic.h.

## Member Function Documentation

## get_displacement()

template<class T , class M >

const field_basic< T, M > & get_displacement | ( |  | ) | const

Definition at line 230 of file characteristic.h.

## get_pre_computed()

template<class T , class M >

const characteristic_on_quadrature< T, M > & get_pre_computed | ( | const space_basic< T, M > & | Xh,
|  | const field_basic< T, M > & | dh,
|  | const piola_on_pointset< T > & | pops
| ) |  | const

Definition at line 237 of file characteristic.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/characteristic.h